post
https://sandbox.saner.secpod.com/AncorWebService/perform
List every job created for one device.
This method will get all the jobs created for a host. This includes Remediation (Rem Job), IR (Non-Security, Reboot, Rollback, Firmware) and Automation rule Jobs. Refer to Job type and Creation date. Required fields are Hostname and Accountname.
| Key Name | Meaning | Mandatory | Data Type |
|---|---|---|---|
| hostname | Hostname of the device for which job information is requested | Yes | string |
| accountname | Name of the account associated with the device | Yes | string |
| tool | Tool filter to retrieve job information (e.g., PM) | No | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Device.getJobInfo(
accountname="DemoAccount1",
hostname="host1",
tags=["PM","VM"]
)
print(response)
client.close()Requires Python 3.9 or later.